/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.text.converter.valueobject;

/**
 * ソーステキストの章の情報を格納するクラス。
 */
public class BlancoTextConverterSrcTxtChapterStructure {
    /**
     * フィールド [line]
     *
     * 項目の型 [java.lang.String]<br>
     * 章の行。
     */
    private String fLine;

    /**
     * フィールド [level]
     *
     * 項目の型 [int]<br>
     * 規定値   [-1]<br>
     * 章のレベル。1.のレベルは 0。1.1のレベルは1。
     */
    private int fLevel = -1;

    /**
     * フィールド [line]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 章の行。
     *
     * @param argLine フィールド[line]に格納したい値
     */
    public void setLine(final String argLine) {
        fLine = argLine;
    }

    /**
     * フィールド[line]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 章の行。
     *
     * @return フィールド[line]に格納されている値
     */
    public String getLine() {
        return fLine;
    }

    /**
     * フィールド [level]のセッターメソッド
     *
     * 項目の型 [int]<br>
     * 章のレベル。1.のレベルは 0。1.1のレベルは1。
     *
     * @param argLevel フィールド[level]に格納したい値
     */
    public void setLevel(final int argLevel) {
        fLevel = argLevel;
    }

    /**
     * フィールド[level]のゲッターメソッド
     *
     * 項目の型 [int]<br>
     * 規定値   [-1]<br>
     * 章のレベル。1.のレベルは 0。1.1のレベルは1。
     *
     * @return フィールド[level]に格納されている値
     */
    public int getLevel() {
        return fLevel;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.text.converter.valueobject.BlancoTextConverterSrcTxtChapterStructure[");
        buf.append("line=" + fLine);
        buf.append(",level=" + fLevel);
        buf.append("]");
        return buf.toString();
    }
}
